Ask Your Question
0

ROS2 Installation: No definition of [python3-lark-parser] for OS [debian]

asked 2019-06-14 02:04:51 -0600

soulfutterer gravatar image

I am trying to install ROS2 from source on Debian Buster (based on this this documentation). Running rosdep install gives me the following error:

rosdep install --from-paths src --ignore-src --rosdistro dashing -y --skip-keys "console_bridge fastcdr fastrtps libopensplice67 libopensplice69 rti-connext-dds-5.3.1 urdfdom_headers"
ERROR: the following packages/stacks could not have their rosdep keys resolved
to system dependencies:
rosidl_parser: No definition of [python3-lark-parser] for OS [debian]

Running pip3 tells me that lark-parser is already installed.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
2

answered 2019-06-14 03:06:54 -0600

gvdhoorn gravatar image

updated 2019-06-14 03:10:43 -0600

I believe this is a known issue as there is no Debian pkg for lark-parser.

Refer to ros2/ros2#725 (different Debian version, but still).

And ros/rosdistro/pull/20666 as well.

Running pip3 tells me that lark-parser is already installed.

the problem is not that lark-parser can't be detected, the problem is that rosdep doesn't have any information it can use to map the lark-parser key to the actual package on Debian (any version). So even if you have it installed, rosdep would not know what to look for to check whether it is installed.

That is what ros/rosdistro/pull/20666 is trying to fix.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2019-06-14 02:04:51 -0600

Seen: 267 times

Last updated: Jun 14